import { requestClient } from '#/api/request';

export namespace WorkflowApi {
  export interface WorkflowParams {
    appid: string;
    conversationId: string;
    userId: string;
    inputs: {
      [key: string]: any;
    };
    files: [];
  }
  export interface WorkflowRunBody {
    conversationId: string;
    userId: string;
    inputs: {
      [key: string]: any;
    };
    files: [];
  }
  export interface WorkflowLogParams {
    appid: string;
    lastId?: string;
    page?: number;
    limit?: number;
    keyword?: string;
    workflowRunId?: string;
  }
}

// 工作流
export function sendWorkflow(
  params: WorkflowApi.WorkflowParams,
  data: WorkflowApi.WorkflowRunBody,
) {
  return requestClient.post(`/v1/workflow/run/${params.appid}`, data);
}

// export function runWorkflow(data){
//   return requestClient.post('/v1/workflow/run/stream', data);
// };
//
// export function stopWorkflow(data){
//   return requestClient.patch('/v1/workflow/stop', { data });
// };
//
export function getWorkflowInfo(data: WorkflowApi.WorkflowLogParams) {
  return requestClient.get(`/v1/workflow/info/${data.appid}`, { params: data });
}

export function getWorkflowList(params: WorkflowApi.WorkflowLogParams) {
  return requestClient.get(`/v1/workflow/list/${params.appid}`);
}
